"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComponentStatusResolverWithModifiedStatusAndIssue = exports.ComponentStatusResolverWithStagedStatusAndIssue = exports.ComponentStatusResolverWithNewStatusAndIssue = exports.ComponentStatusResolverWithStagedStatus = exports.ComponentStatusResolverWithNewStatus = exports.ComponentStatusResolverWithModifiedFiles = exports.ComponentStatusResolverWithModifiedDependencies = void 0;
const react_1 = __importDefault(require("react"));
const documenter_theme_theme_compositions_1 = require("@teambit/documenter.theme.theme-compositions");
const workspace_1 = require("@teambit/workspace");
const component_status_resolver_1 = require("./component-status-resolver");
let modifyInfo = { hasModifiedFiles: false, hasModifiedDependencies: false };
let isNew = false;
let isDeleted = false;
let isStaged = false;
let isInWorkspace = false;
let isInScope = false;
let nested = false;
const resetValues = () => {
    modifyInfo = { hasModifiedFiles: false, hasModifiedDependencies: false };
    isNew = false;
    isDeleted = false;
    isStaged = false;
    isInWorkspace = false;
    isInScope = false;
    nested = false;
};
const style = { display: 'flex', justifyContent: 'center', alignContent: 'center' };
const ComponentStatusResolverWithModifiedDependencies = () => {
    resetValues();
    modifyInfo.hasModifiedDependencies = true;
    const compStatus = new workspace_1.ComponentStatus(modifyInfo, isNew, isDeleted, isStaged, isInWorkspace, isInScope, nested);
    return (react_1.default.createElement(documenter_theme_theme_compositions_1.ThemeCompositions, { style: style },
        react_1.default.createElement(component_status_resolver_1.ComponentStatusResolver, { status: compStatus })));
};
exports.ComponentStatusResolverWithModifiedDependencies = ComponentStatusResolverWithModifiedDependencies;
const ComponentStatusResolverWithModifiedFiles = () => {
    resetValues();
    modifyInfo.hasModifiedFiles = true;
    const compStatus = new workspace_1.ComponentStatus(modifyInfo, isNew, isDeleted, isStaged, isInWorkspace, isInScope, nested);
    return (react_1.default.createElement(documenter_theme_theme_compositions_1.ThemeCompositions, { style: style },
        react_1.default.createElement(component_status_resolver_1.ComponentStatusResolver, { status: compStatus })));
};
exports.ComponentStatusResolverWithModifiedFiles = ComponentStatusResolverWithModifiedFiles;
const ComponentStatusResolverWithNewStatus = () => {
    resetValues();
    isNew = true;
    const compStatus = new workspace_1.ComponentStatus(modifyInfo, isNew, isDeleted, isStaged, isInWorkspace, isInScope, nested);
    return (react_1.default.createElement(documenter_theme_theme_compositions_1.ThemeCompositions, { style: style },
        react_1.default.createElement(component_status_resolver_1.ComponentStatusResolver, { status: compStatus })));
};
exports.ComponentStatusResolverWithNewStatus = ComponentStatusResolverWithNewStatus;
const ComponentStatusResolverWithStagedStatus = () => {
    resetValues();
    isStaged = true;
    const compStatus = new workspace_1.ComponentStatus(modifyInfo, isNew, isDeleted, isStaged, isInWorkspace, isInScope, nested);
    return (react_1.default.createElement(documenter_theme_theme_compositions_1.ThemeCompositions, { style: style },
        react_1.default.createElement(component_status_resolver_1.ComponentStatusResolver, { status: compStatus })));
};
exports.ComponentStatusResolverWithStagedStatus = ComponentStatusResolverWithStagedStatus;
const ComponentStatusResolverWithNewStatusAndIssue = () => {
    resetValues();
    isNew = true;
    const compStatus = new workspace_1.ComponentStatus(modifyInfo, isNew, isDeleted, isStaged, isInWorkspace, isInScope, nested);
    return (react_1.default.createElement(documenter_theme_theme_compositions_1.ThemeCompositions, { style: style },
        react_1.default.createElement(component_status_resolver_1.ComponentStatusResolver, { status: compStatus, issuesCount: 1 })));
};
exports.ComponentStatusResolverWithNewStatusAndIssue = ComponentStatusResolverWithNewStatusAndIssue;
const ComponentStatusResolverWithStagedStatusAndIssue = () => {
    resetValues();
    isStaged = true;
    const compStatus = new workspace_1.ComponentStatus(modifyInfo, isNew, isDeleted, isStaged, isInWorkspace, isInScope, nested);
    return (react_1.default.createElement(documenter_theme_theme_compositions_1.ThemeCompositions, { style: style },
        react_1.default.createElement(component_status_resolver_1.ComponentStatusResolver, { status: compStatus, issuesCount: 1 })));
};
exports.ComponentStatusResolverWithStagedStatusAndIssue = ComponentStatusResolverWithStagedStatusAndIssue;
const ComponentStatusResolverWithModifiedStatusAndIssue = () => {
    resetValues();
    modifyInfo.hasModifiedFiles = true;
    modifyInfo.hasModifiedDependencies = true;
    const compStatus = new workspace_1.ComponentStatus(modifyInfo, isNew, isDeleted, isStaged, isInWorkspace, isInScope, nested);
    return (react_1.default.createElement(documenter_theme_theme_compositions_1.ThemeCompositions, { style: style },
        react_1.default.createElement(component_status_resolver_1.ComponentStatusResolver, { status: compStatus, issuesCount: 1 })));
};
exports.ComponentStatusResolverWithModifiedStatusAndIssue = ComponentStatusResolverWithModifiedStatusAndIssue;
//# sourceMappingURL=component-status-resolver.composition.js.map