"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComponentStatusResolver = void 0;
const react_1 = __importDefault(require("react"));
const classnames_1 = __importDefault(require("classnames"));
const component_ui_component_status_1 = require("@teambit/component.ui.component-status");
const component_ui_component_tooltip_1 = require("@teambit/component.ui.component-tooltip");
const color_override_1 = require("./color-override");
const component_status_resolver_module_scss_1 = __importDefault(require("./component-status-resolver.module.scss"));
function ComponentStatusResolver({ status, issuesCount = 0 }) {
    if (!status)
        return null;
    const isModified = status.modifyInfo.hasModifiedFiles;
    const colorOverride = (0, color_override_1.getOverrideColor)({ issuesCount, isModified, isNew: status.isNew });
    return (react_1.default.createElement(component_ui_component_tooltip_1.StatusTooltip, { status: status, issuesCount: issuesCount },
        react_1.default.createElement("div", { className: component_status_resolver_module_scss_1.default.statusLine },
            issuesCount > 0 && (react_1.default.createElement("div", { className: (0, classnames_1.default)(component_status_resolver_module_scss_1.default.errorBlock, component_status_resolver_module_scss_1.default.error) },
                react_1.default.createElement("span", null, issuesCount))),
            status.isNew && !status.isOutdated && react_1.default.createElement(component_ui_component_status_1.ComponentStatus, { className: component_status_resolver_module_scss_1.default[colorOverride], status: "new" }),
            isModified && !status.isNew && react_1.default.createElement(component_ui_component_status_1.ComponentStatus, { className: component_status_resolver_module_scss_1.default[colorOverride], status: "modified" }),
            status.isStaged && react_1.default.createElement(component_ui_component_status_1.ComponentStatus, { className: component_status_resolver_module_scss_1.default[colorOverride], status: "staged" }),
            status.isOutdated && react_1.default.createElement(component_ui_component_status_1.ComponentStatus, { className: component_status_resolver_module_scss_1.default[colorOverride], status: "updates" }),
            status.modifyInfo.hasModifiedDependencies && (react_1.default.createElement(component_ui_component_status_1.ComponentStatus, { className: component_status_resolver_module_scss_1.default[colorOverride], status: "dependency" })))));
}
exports.ComponentStatusResolver = ComponentStatusResolver;
//# sourceMappingURL=component-status-resolver.js.map